Subject: Re: B19 problem with fread() and buffering
From: [email-masked] (Earnie Boyd)

6 Sep 1998 09:23:04 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked], Todd Massey <[email-masked]>

---Todd Massey <[email-masked]> wrote:
>
> 
> I call fread with a sizeof of 4 and a count of 315 after reading
> 500 bytes out of a file and I only get back a count of 42 and then
> the FILE* fp->_flags == 1188, when I called fread() it fp_uflags was
1156, so
> for some reason it thinks it reached end of file.  Now this is a
binary
> file and I use fopen() to open it .. I would expect it to work just
fine
> the routine that wrote out the file used fwrite in the B19 stuff.. 
> 
> So the real question is.. am I over running some buffer? 

The real question I have is are you opening the files specifically
stating that it is to use binary file processing?

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".